## glacier-calc-0.3.3-2.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(glacier-calc
	VERSION 0.3.1
	DESCRIPTION "The Glacier calculator")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

include(FeatureSummary)
include(GNUInstallDirs)

set(QT_MIN_VERSION "5.11.0")
find_package(Qt5 COMPONENTS Core Gui Quick LinguistTools REQUIRED)
find_package(Glacier 0.8 COMPONENTS App REQUIRED)
find_package(Qt5QuickCompiler)

add_subdirectory(src)

install(FILES glacier-calc.desktop
	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications/)
install(FILES icon-app-calculator.png
	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/glacier-calc/images/)

# Translations
file(GLOB TS_FILES translations/*.ts)
qt5_add_translation(QM_FILES ${TS_FILES})
add_custom_target(translations DEPENDS ${QM_FILES})
add_dependencies(glacier-calc translations)

install(FILES ${QM_FILES}
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/glacier-calc/translations)

=== src/CMakeLists.txt ===
set(SRC main.cpp)

qtquick_compiler_add_resources(RESOURCES qml/glacier-calc.qrc)

add_executable(glacier-calc ${SRC} ${RESOURCES})
target_link_libraries(glacier-calc
	Qt5::Core
	Qt5::Gui
	Glacier::App)
install(TARGETS glacier-calc RUNTIME
	DESTINATION ${CMAKE_INSTALL_BINDIR})

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=glacier-calc
pkgver=0.3.3
pkgrel=2
pkgdesc="Nemo calculator"
arch=('x86_64')
url="https://github.com/nemomobile-ux/glacier-calc"
license=('LGPL')
depends=('qt5-quickcontrols-nemo')
makedepends=('cmake' 'qt5-tools')
source=("https://github.com/nemomobile-ux/glacier-calc/archive/$pkgver/$pkgname-$pkgver.tar.gz")
sha512sums=('16f94492e5b2b1f0863deb1fd5a036f4c56698fcdb276dfa4c1c90638c1b73d2a9620265bff033c6e21a52168c0c458bf3d7e2b557c474b219a2bf4a3fead950')

build(){
  cd $pkgname-$pkgver

  cmake -DCMAKE_INSTALL_PREFIX=/usr .
  make
}

package() {
  cd $pkgname-$pkgver
  make DESTDIR="$pkgdir" install
}
